We just released our native n8n integration!ยป Try now
OnlyFans API
Free Trial Links

Create Free Trial Link

Create a new free trial link for the account

POST
/api/{account}/trial-links
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Request Body

application/json

tags?array<string>

Array of tag names to add to the trial link.

name?string|null

The name of the trail link (optional). Cannot be longer than 64 characters.

offerExpiration*integer

The trial link expiration in days (from now). Must either be 0 (to never expire), or a number between 1 and 30.

offerLimit*integer

How many people can use this offer. Must either be 0 (for no limit), or a number between 1-10, 50, or 100.

Value in0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 50 | 100
duration*integer

The duration of the free trial in days. Must be 1, 3, 7, 14, 30 (1 month), 90 (3 months), 180 (6 months), or 360 (12 months).

Value in1 | 3 | 7 | 14 | 30 | 90 | 180 | 360

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/trial-links" \  -H "Content-Type: application/json" \  -d '{    "offerExpiration": 7,    "offerLimit": 7,    "duration": 7  }'
{
  "data": {
    "id": 123,
    "trialLinkName": "My new trial link",
    "url": "https://onlyfans.com/username/trial/code",
    "subscribeDays": 123,
    "subscribeCounts": 123,
    "claimCounts": 123,
    "expiredAt": "2025-01-05T00:00:00+00:00",
    "createdAt": "2025-01-01T00:00:00+00:00",
    "isFinished": false
  },
  "_pagination": {
    "next_page": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999840,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 998,
      "remaining_day": 49993
    }
  }
}